\name{BootOverDispersion}
\alias{BootOverDispersion}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Bootstrap confidence interval and test for the overdispersion parameter
}
\description{
Non-parametric Bootstrap confidence interval and test for the overdispersion parameter of a GLM with quasipoisson or quasibinomial family.
}
\usage{
BootOverDispersion(Model, Nboots=10000, Coverage=0.95)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{Model}{a model of class glm with family quasipoisson or quasibinomial }
  \item{Nboots}{number of bootstrap sampes (Default = 10,000)}
  \item{Coverage}{the coverage of the CI (Default = 0.975) }
}

\details{
Remark: should specify the data in the model
}
\value{
  \item{CI}{a confidence interval for the dispersion parameter (with the required coverage)}
  \item{Pvalue}{p-value for testing the null hypothesis of equality of the dispersion parameter to 1, versus the alternative hypothesis of overdipersion.}
  \item{Dispersion}{Estimate of the dispersion parameter}
  \item{BootstrapDispersions}{vector of dimension Nboots containing the bootstrap simulations}
  \item{Coverage}{coverage of the confidence interval}
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
Rodrigo Labouriau
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
X <- c(rpois(100,10), rpois(100,15))
A <- factor(c(rep("L1",100),rep("L2",100)))
Model <- glm(X~A, family=quasipoisson)
Bdispersion <- BootOverDispersion(Model, Nboots=1000)
Bdispersion$Dispersion; Bdispersion$CI; Bdispersion$Pvalue
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{Over-dispersion}
\keyword{quasipoisson}
\keyword{quasibinomial}
