\name{TestUnif}
\alias{TestUnif}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Test Adherence to Uniform Distibution
}
\description{
TestUnif tests whether the distribution of a vector of observations, say x, adhere to the standard uniform distribution.
}
\usage{
TestUnif(x, Nboots = 9999, DrawPlot = FALSE, QQplot = FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{a vector of observations to be tested}
  \item{Nboots}{number of Monte Calrlo samples used (default = 9999)}
  \item{DrawPlot}{should a plot of the empirical and the theoretical cumulative distributions be drawn (default = FALSE)}
  \item{QQPlot}{should a QQ-plot be drawn (default = FALSE)}
}
\details{
 TestUnif calculates the Kolmogorov distance between the empirical distribution of the observations to the cumulative dsitribution function of a standard uniform distributions. This distance is compared with the distances obtained with (pseudo) random generated standard uniform samples of the same size as x.
}
\value{TestUnif returns a bootstrap estimate of the p-value for testing adherence to the uniform distribution in the interval (0,1). }
\references{
%% ~put references to the literature/web site here ~
}
\author{
Rodrigo Labouriau (rodrigo.labouriau@math.au.dk)
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
TestUnif(x = runif(100), DrawPlot = TRUE)
TestUnif(x = rbeta(100, 0.5, 0.5), DrawPlot = TRUE)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
