\name{testPoissonModel}
\alias{testPoissonModel}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
%%  ~~function to do ... ~~
Testing goodness of fit of a Poisson distribution based model for counts
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
Tests the goodness of fit of a Poisson distribution based model for counts based on the predicted frequencies.
}
\usage{
testPoiSSonModel(Model, SupportIndex = NULL, Nsim = 10000)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{Model}{
%%     ~~Describe \code{Model} here~~
A model for counts obtained by a generalized linear model using the Poisson distribution (of class "glm") or a generalized linear mixed model also using the Poisson distribution with a Gaussian random component fit with glmer (from the package lme4, class "glmerMod").
}
  \item{SupportIndex}{
%%     ~~Describe \code{SupportIndex} here~~
A set of indices indicating the part of the frequencies to be included in the test (the default is all the frequencies).
}
  \item{Nsim}{
%%     ~~Describe \code{Nsim} here~~
Number of simulations used to obtain the exact p-value of the chi-square test for goodness of fit.
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
Returns an object of class "testDiscreteDistribution" containing:
the exact bootstrap p-value, the observed frequencies, the expected frequencies an the model (used in some of the methods).
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
Rodrigo Labouriau
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
plot.testDiscreteDistribution, scatterPlot.testDiscreteDistribution, summary.testDiscreteDistribution, print.testDiscreteDistribution .
}
\examples{
# An artificial example with a simple Poisson model
X <- rpois(n=100, lambda=10); Y <- rpois(n=100, lambda=20); Z <- c(X,Y)
A <- factor( c(rep("A",100), rep("B",100)) ); DD <- data.frame(X, A)
M <- glm(Z~A, family=poisson, data=DD)

x <- c(rpois(20, 10), rpois(20, 12)); g <- factor(c(rep("A", 20), rep("B", 20)))
M <- glm(x ~ g, family=poisson)
TT <- testPoissonModel(Model=M)
print(TT)
summary(TT)
summary(TT, Nrows=50)
plot(TT, Nsim=100)
plot(TT, Sub=paste("P-value =", TT$Pvalue), Nsim=100)
# plot(TT, Sub=paste("P-value =", TT$Pvalue), Nsim=100, ScatterPlot = TRUE)

# An artificial example with a simple Poisson model with a random component
X <- rpois(n=100, lambda=10); Y <- rpois(n=100, lambda=20); Z <- c(X,Y)
A <- factor( c(rep("A",100), rep("B",100)) ); DD <- data.frame(X, A)
B <- factor(rep(c("B1","B2"),100) )
RD <- data.frame(X, A, B)
library(lme4)
RM <- glmer(Z~A + (1|B), family=poisson, data=RD)
TT <- testPoissonModel(Model=RM)
print(TT)
summary(TT)
plot(TT, Sub=paste("P-value =", TT$Pvalue), Nsim=50)

# Example of negative binomial
require(MASS)
quine.nb1 <- glm.nb(Days ~ Sex/(Age + Eth*Lrn), data = quine)
NB <- testNegativeBinomialModel(Model=quine.nb1)
NB
summary(NB)
par(mfrow=c(2,1))
scatterPlot.testDiscreteDistribution(NB)
plot(NB, Sub=paste("P-value =", NB$Pvalue), Nsim=50)
par(mfrow=c(1,1))

# Fitting and testing a Poisson model with overdisparsion obtained via
# the introduction of a log-Gaussian random component
# require(lme4)
# D <- quine
# D$OverDispersion <- factor(1:length(D$Eth))
# quine.PoissonOD <- glmer(Days ~ Sex/(Age + Eth*Lrn) + (1|OverDispersion),
#                          family=poisson, data = D)
# PoissonOD <- testPoiSSonModel(Model=quine.PoissonOD)
# summary(PoissonOD)
# par(mfrow=c(2,1))
# scatterPlot.testDiscreteDistribution(PoissonOD)
# This takes a while ...
# plot(PoissonOD, Sub=paste("P-value =", NB$Pvalue), Nsim=10)
# par(mfrow=c(1,1))
}
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
